Get customer by id
1 min
GET
https://app.amberflo.io/customers/{customerId}
Path Parameters
- customerIdstringrequiredDescription
Responses
200
- metadata.customer.CustomerDetails.out
- createTimeinteger<int64>Description
- updateTimeinteger<int64>Description
- deleteTimeinteger<int64>
- customerIdstringrequiredDescription
- customerNamestringrequiredDescription
- customerEmailstringDescription
- descriptionstringDescription
- enabledbooleanDescription
- testbooleanDescription
- lifecycleStagemetadata.customer.CustomerLifecycleStage.outDescription
- deactivateTimeStampinteger<int64>
- traitsmap<string, string>Description
- addressmetadata.customer.CustomerAddress.outDescription
- verifiedboolean
- line1stringrequired
- statestring
- citystringrequired
- postalCodestring
- countrystringrequired
curl
curl --request GET \
--url https://app.amberflo.io/customers/{customerId} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://app.amberflo.io/customers/{customerId}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/customers/{customerId}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/customers/{customerId}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Successful request
{
"createTime": "",
"updateTime": "",
"deleteTime": "",
"customerId": "",
"customerName": "",
"customerEmail": "",
"description": "",
"enabled": false,
"test": false,
"lifecycleStage": "",
"deactivateTimeStamp": "",
"traits": "",
"address": {
"verified": false,
"line1": "",
"state": "",
"city": "",
"postalCode": "",
"country": ""
}
}